Write-Host "Java compiler version:"
javac -version
Write-Host "`nStarting configuration:"
tree /A /F
Start-Sleep -s 1
jar --file=./lib/Open_My_type_module-1.0.jar --describe-module
javac -d PRODUCTION_SOFTWARE --module-path lib `
src/main/java/com/franckbarbier/Access_My_type_package/Main.java `
src/main/java/module-info.java
Write-Host "`nCompilation ends...`n"
cd PRODUCTION_SOFTWARE
#https://sites.google.com/a/athaydes.com/renato-athaydes/posts/guidetojava9-compilejarrun
jar --create --verbose --file ../exec/Access_My_type_module-1.0.jar --main-class com.franckbarbier.Access_My_type_package.Main *
Write-Host "Packaging' ends...`n`n"
cd ..
Remove-Item -path PRODUCTION_SOFTWARE -Recurse -Force
jar --file=./exec/Access_My_type_module-1.0.jar --describe-module
Write-Host "Module dependency graph...`n`n"
jdeps --module-path lib ./exec/Access_My_type_module-1.0.jar
#Execution:
Copy-Item ./lib/Open_My_type_module-1.0.jar -Destination exec
java --module-path exec --module Access_My_type_module
